import { View } from "@tarojs/components";
import TagCertificated from "@/components/tag-certificated";
export interface DigitalCardBasicProps {
  certificated?: boolean
  name: string
  position: string
  company: string
}

const DigitalCardBasic = ({name, position, company, certificated }: DigitalCardBasicProps) => {
  
  return <View className="flex items-start">
              <View className="flex flex-col flex-1">
                <View className="flex items-end gap-8">
                  <View className="text-24 font-medium leading-32">{name}</View>
                  <View className="text-12 leading-20">{position}</View>
                </View>
                <View className="flex items-center gap-2">
                  <View className="text-12 leading-20 truncate max-w-[188px]">
                    {company}
                  </View>
                  {certificated && <TagCertificated />}
                </View>
              </View>
            </View>
}

export default DigitalCardBasic;