import { View } from "@tarojs/components";
import MediaItem from "@/components/media-item/index";
import style from "./index.module.less";
import IconDeleteGray16 from "@/components/icon/IconDeleteGray16";
import IconPlusGray16 from "@/components/icon/IconPlusGray16";
import type { TMediaType } from "@/types/index";

export interface IndexProps {
  list: TMediaType[];
  onChange?: (list: TMediaType[]) => void;
  onDelete?: (index:number, item: TMediaType) => void;
}

const Index = ({ list, onChange, onDelete }: IndexProps) => {

  return (
    <View className="grid grid-cols-3 gap-x-8 gap-y-12 justify-center">
      <View className="flex">
        <View className={style.addImageBtn}>
          <IconPlusGray16 />
        </View>
      </View>
      {list.map((item, index) => {
        return (
          <View className="flex">
            <View className={style.imageItem}>
              <MediaItem media={item}></MediaItem>
              <View className={style.deleteButton} onClick={(e:any)=> {
                e.stopPropagation();
                onDelete && onDelete(index, item)
              }}>
                <IconDeleteGray16 />
              </View>
            </View>
          </View>
        );
      })}
    </View>
  );
};

export default Index;
