import { View, Image } from "@tarojs/components";
import React, { useState } from "react";
import style from "./index.module.less";
import WemetaRadio from '@/components/wemeta-radio'
import Taro from "@tarojs/taro";
interface IProps {
  prev: ()=>void
}
export default React.memo(function Index({prev}:IProps) {
  
  const handleEdit = ()=> {
    Taro.downloadFile({
      url: 'https://cdn.wehome.cn/cmn/png/53/META-H8UKWHWU-2JNUAG2BARJF55VHU9QS3-YBQGHDAM-IW.png',
      success (res) {
        // 只要服务器有响应数据，就会把响应内容写入文件并进入 success 回调，业务需要自行判断是否下载到了想要的内容
        if (res.statusCode === 200) {
          Taro.cropImage({
            src: res.tempFilePath,
            cropScale: "1:1",
            success: async (cropRes) => {
              const result = cropRes.tempFilePath;
              console.log(result)
              // const res = await uploadImage(path);
              // if (res?.code === 0 && res.data) {
              //   setValueByKey('poster', res.data)
              // }
            },
          });
        }
      }
    })
  }

  const handleConfirm = () => {
    Taro.navigateTo({url: '/pages/agent/index'})
  }
  return (
    <View>
      <View className={style.confirmContainer}>
        <View className={style.confirmRoundedAvatarWrap} onClick={handleEdit}>
          <Image
            mode='aspectFill'
            className={style.confirmRoundedAvatar}
            src="https://cdn.wehome.cn/cmn/png/53/META-H8UKWHWU-2JNUAG2BARJF55VHU9QS3-YBQGHDAM-IW.png"
          ></Image>
        </View>
        <View className={style.confirmChatAvatarBg}>
          <Image
                mode="widthFix"
                className={style.confirmChatAvatarBg}
                src="https://cdn.wehome.cn/cmn/png/53/META-H8UKWHWU-2JNUAG2BARJF55VHU9QS3-YBQGHDAM-IW.png"
              ></Image>
          <View className={style.confirmChatAvatarBgCover}>
              <View className={style.block1}></View>
              <View className={style.block2}></View>
              <View className={style.block3}></View>
          </View>
        </View>
        <View className="flex-center gap-8 text-14 font-medium leading-22 text-black">
          <WemetaRadio checked checkbox></WemetaRadio>
          启用聊天背景
        </View>
      </View>

      <View className="bottom-bar">
        <View className="grid grid-cols-2 gap-8 px-20 py-12">
          <View className={`button-rounded`} onClick={prev}>更换形象</View>
          <View className={`button-rounded primary opacity-20`} onClick={handleConfirm}>确定</View>
        </View>
      </View>
    </View>
  );
});
