import { View, Text } from "@tarojs/components";
import DigitalCardBasic from "@/components/DigitalCard/DigitalCardBasic";

export interface IndexProps {
  data: {
    certificated?: boolean
    name: string
    position: string
    company: string
    agentName: string
    visitNum: number
    chatNum: number
    disLikeNum: number
    visitTime: number
  }
}

const Index = ({ data }: IndexProps) => {
  
  return <View className="bg-white rounded-12 p-12">
  <View className="flex items-start gap-12">
    <View className="flex items-start bg-pink rounded-full overflow-hidden">
      <View className="w-56 h-56 bg-gray-3 rounded-full"></View>
    </View>
    <View className="flex flex-col gap-8">
      <DigitalCardBasic name={data.name} position={data.position} company={data.company} certificated />
      <View className="text-14 font-medium leading-22">第 <Text className="text-yellow">{data.visitNum}</Text> 次访问了你的智能体【{data.agentName}】</View>
      <View className="flex-center text-12 leading-20">
        <View className="flex-1"><Text className="text-primary">{data.chatNum}</Text> 轮对话</View>
        <View className="text-gray-45 leading-20">5小时前</View>
      </View>
    </View>
  </View>
</View>
}

export default Index;