import NavBarNormal from "@/components/nav-bar-normal/index";
import { View,Text, Image, Checkbox, Button } from "@tarojs/components";
import PageCustom from "@/components/page-custom/index";
import LogoImage from '@/images/logo.png'
import { useLogin } from '@/xiaolanbenlib/hooks/data/useAuth'


import { useState } from "react";

import Popup from "@/components/popup/popup";
import Taro from "@tarojs/taro";


export default function Index() {
  const { onGetPhoneNumber, onError, onClick, openType } = useLogin({
    onSuccess: () => {
      console.log('yes')
      // Taro.reLaunch({
      //   url: '/pages/index/index',
      // })
    },
  })
  


  const [showPopup, setShowPopup] = useState(true);

  const renderLogo = ()=> {
    return <View><Image className="w-68 h-24" src={LogoImage}></Image></View>
  }
  

  return (
    <PageCustom>
      <NavBarNormal leftColumn={renderLogo}></NavBarNormal>
      
        
        <Popup setShow={setShowPopup} show={showPopup}>
          <View className="text-24 font-medium leading-32 text-black mb-16">欢迎来到小蓝本</View>
          <View className="text-gray-45 text-14 leading-22 mb-70">登录后享受更好的服务体验</View>
          {/* <View className="button-rounded-big mb-16">微信登录</View> */}
          <Button
            className="button-rounded-big mb-16"
            style={{backgroundColor: '#317CFA', fontSize: '14px'}}
            type='primary'
            openType={openType}
            onGetPhoneNumber={onGetPhoneNumber}
            onError={onError}
            onClick={() => {
              onClick()
            }}
          >
            手机号快捷登录
          </Button>
          <View className="text-12 mb-86 text-center">
            <Checkbox className="custom-checkbox" value='选中' checked color="#317CFA">选中</Checkbox>
            同意<Text className="primary-color">《用户隐私条款》</Text><Text className="primary-color">《用户服务须知》</Text>
          </View>
        </Popup>
    </PageCustom>
  );
}
