import Popup from "@/components/popup/popup/index";
import style from "./index.module.less";
import { View, Image, ITouchEvent, ScrollView } from "@tarojs/components";
import WemetaTabs from "@/components/wemeta-tabs/index";
import { useEffect, useState } from "react";
import Taro from "@tarojs/taro";
import { uploadImage } from "@/utils/http";
import { TEntityAsset, type TMediaType } from "@/types/index";
import { deleteAsset, listAssets } from "@/service/asset";
import { EAssetScene } from "@/consts/enum";
import { useCharacterStore, useCurrentCharacter } from "@/store/characterStore";

export interface IProps {
  show: boolean;
  setShow: (show: boolean) => void;
}
export default function Index({ show, setShow }: IProps) {
  const { saveCharacter } = useCharacterStore();
  const character = useCurrentCharacter();
  
  

  

  
   
  

  const tabList = [
    {
      key: "1",
      label: "模板",
      children: (
        <View className={style.tabContent}>
          <View className={`grid grid-cols-6 gap-x-12 gap-y-24 box-border`}>
            风格化列表
          </View>
        </View>
      ),
    },
    {
      key: "2",
      label: '我的',
      children: (
        <View className={`pb-68 ${style.tabContent}`}>
          我的头像 {character?.avatar}
        </View>
      ),
    },
  ];

  

  return (
    <Popup title="头像风格化" show={show} setShow={setShow}>
      <View style={{ height: "380px" }}>
        <WemetaTabs list={tabList} current="1" tabStyle="button"></WemetaTabs>
      </View>
    </Popup>
  );
}
