// 系统配置
import {
  bluebookAiAgent,
} from '@/xiaolanbenlib/api/index'
import request from '@/xiaolanbenlib/module/axios.js'



// 获取协议列表
export type TAgreementItem = [
  {
    "link": string,
    "name": string
  }
]
// type??
export const getSysAgreements = () => {
  request.get<TAgreementItem>(`${bluebookAiAgent}api/v1/sys/agreements`)
}

// 获取个人最多允许创建N个智能体、智能助手二维码照片、录音文案等核心配置
export type TSystemCoreCnf = {
  "assistantQrCode": string,
  "ossPrivateBucketName": string,
  "ossPublicBucketName": string,
  "personalMaxAgentNum": number,
  "systemVoiceList": {
    "avatar": string,
    "gender": string,
    "languages": string[],
    "platform": string,
    "style": string,
    "voiceId": string,
    "voiceName": string
  }[],
  "voiceText": "string"
}
export const getSysCoreCnf = () => {
  request.get<TSystemCoreCnf>(`${bluebookAiAgent}api/v1/sys/core/cnf`)
}


// 获取个人未创建智能体时的默认主页渲染内容
export type TSystemDefaultPageContent = {
  "backgroundColor": string,
  "backgroundImage": string,
  "description": string,
  "subDescription": string,
  "subTitle": string,
  "title": string
}
export const getSysDefaultPageContent = () => {
  request.get<TSystemDefaultPageContent>(`${bluebookAiAgent}api/v1/sys/defaultPage/content`)
}


